- Main Page
- Classes
- Files
- Related Pages

- File List
- File Members

# gdalgridder.h File Reference

`#include "gdal_alg.h"`

Go to the source code of this file.

## Typedefs
typedef CPLErr(*) | GDALGridFunction (void *, GUInt32, double *, double *, double *, double, double, double, double, GUInt32, GUInt32, GUInt32, GUInt32, double *)
## Functions
CPLErr | GDALGridInverseDistanceToAPower (void *, GUInt32, double *, double *, double *, double, double, double, double, GUInt32, GUInt32, GUInt32, GUInt32, double *)

## Detailed Description

GDAL gridder related entry points and definitions.

## Function Documentation

CPLErr GDALGridInverseDistanceToAPower | ( | void * | poOptions,
|  | GUInt32 | nPoints,
|  | double * | dfX,
|  | double * | dfY,
|  | double * | dfZ,
|  | double | dfXMin,
|  | double | dfXMax,
|  | double | dfYMin,
|  | double | dfYMax,
|  | GUInt32 | nXSize,
|  | GUInt32 | nYSize,
|  | GUInt32 | nXPoint,
|  | GUInt32 | nYPoint,
|  | double * | pdfValue |
| ) |  |  |

Inverse distance to a power.

The Inverse Distance to a Power gridding method is a weighted average interpolator. You should supply the input arrays with the scattered data values including coordinates of every data point and output grid geometry. The function will calculate interpolated value for the given position in output grid.

Parameters:

  | poOptions | Algorithm parameters. This should point to GDALGridInverseDistanceToAPowerOptions object.
  | nPoints | Number of elements in input arrays.
  | dfX | Input array of X coordinates.
  | dfY | Input array of Y coordinates.
  | dfZ | Input array of Z values.
  | dfXMin | Lowest X border of output grid.
  | dfXMax | Highest X border of output grid.
  | dfYMin | Lowest Y border of output grid.
  | dfYMax | Highest Y border of output grid.
  | nXSize | Number of columns in output grid.
  | nYSize | Number of rows in output grid.
  | nXPoint | X position of the point to calculate.
  | nYPoint | Y position of the point to calculate.
  | pdfValue | Pointer to variable where the calculated value will be returned.

Returns:
  CE_None on success or CE_Failure if something goes wrong.

Generated for GDAL by 1.5.1.